=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-bagger
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Brenden Gibbons <bgibbons@squarerobots.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-std-msgs
 Homepage: http://www.ros.org/wiki/bagger
